import request from '@/utils/request'

// 获取列表
export function queryExclusiveTasks(data) {
  return request({
    url: '/printbill/queryExclusiveTasks',
    method: 'post',
    params: data
  })
}

export function querySelfExclusiveTasks(data) {
  return request({
    url: '/printbill/querySelfExclusiveTasks',
    method: 'post',
    params: data
  })
}

// 获取所有拼版人员
export function getAllSpliceMan(data) {
  return request({
    url: '/printbill/getAllSpliceMan',
    method: 'post',
    params: data
  })
}

// 获取当前人员的拼版任务信息
export function getSpliceWorkState(data) {
  return request({
    url: '/printbill/getSpliceWorkState',
    method: 'post',
    params: data
  })
}

// 手工分配
export function assignExclusiveTask(data) {
  return request({
    url: '/printbill/assignExclusiveTask',
    method: 'post',
    params: data
  })
}

export function multiAssignExclusiveTask(data) {
  return request({
    url: '/printbill/multiAssignExclusiveTask',
    method: 'post',
    data: data
  })
}

// 正常退回
export function backExclusiveTask(data) {
  return request({
    url: '/printbill/backExclusiveTask',
    method: 'post',
    params: data
  })
}

// 组长退回
export function finalBackExclusiveTask(data) {
  return request({
    url: 'printbill/finalBackExclusiveTask',
    method: 'post',
    params: data
  })
}

// 校稿通过或退回
// 反馈任务
export function feedbackExclusiveTask(data) {
  return request({
    url: '/printbill/feedbackExclusiveTask',
    method: 'post',
    params: data
  })
}

//暂停施工单任务
export function printBillPauseWorking(data) {
  return request({
    url: '/printbill/printBillPauseWorking',
    method: 'post',
    params: data
  })
}
//获取施工单信息
export function getPrintBillInfoStr(data) {
  return request({
    url: '/printbill/getPrintBillInfoStr',
    method: 'post',
    params: data
  })
}
//获取订单信息
export function getPrintBillOrderInfoStr(data) {
  return request({
    url: '/printbill/getPrintBillOrderInfoStr',
    method: 'post',
    params: data
  })
}

